# Uses of Class
org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry

Packages that use ResourceHandlerRegistry
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.

## Uses of ResourceHandlerRegistry in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return ResourceHandlerRegistry
Modifier and Type
Method
Description
`ResourceHandlerRegistry`
ResourceHandlerRegistry.`setOrder(int order)`
Specify the order to use for resource handling relative to other `HandlerMappings` configured in the Spring MVC application context.
Methods in org.springframework.web.servlet.config.annotation with parameters of type ResourceHandlerRegistry
Modifier and Type
Method
Description
`protected void`
DelegatingWebMvcConfiguration.`addResourceHandlers(ResourceHandlerRegistry registry)`
`protected void`
WebMvcConfigurationSupport.`addResourceHandlers(ResourceHandlerRegistry registry)`
Override this method to add resource handlers for serving static resources.
`default void`
WebMvcConfigurer.`addResourceHandlers(ResourceHandlerRegistry registry)`
Add handlers to serve static resources such as images, js, and, css files from specific locations under web application root, the classpath, and others.